メインコンテンツへスキップ
PUT
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
/
{portalId}
Set an account flag state
curl --request PUT \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/{portalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/{portalId}"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/{portalId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "appId": 123,
  "flagName": "<string>",
  "portalId": 123
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須
flagName
string
必須
portalId
integer<int32>
必須

ボディ

application/json
flagState
enum<string>
必須

The state that the given flag should be in for this portal

利用可能なオプション:
ABSENT,
OFF,
ON

レスポンス

successful operation

appId
integer<int32>
必須

The ID of the app

flagName
string
必須

The name of the flag

flagState
enum<string>
必須

The state of the flag for this portal

利用可能なオプション:
ABSENT,
OFF,
ON
portalId
integer<int32>
必須

The ID of the portal

最終更新日 2026年4月10日